; カンフーマンの入力コマンド定義ファイルです。
; コマンドの入力キーを設定するパートと、技を実行するための条件を設定するパートに分かれています。
;------------------------------------------------------------------------------
;==============================================================================
; 入力キーの設定パート
;==============================================================================
;------------------------------------------------------------------------------
;■設定はこの形が決まり事です。詳細は以下参照。
;
;[Command]
;name = "***"
;command = ###
;time = &&&
;
;■コマンドの名前：「name = "***"」という風に入れます。***に文字を入れてください。
; 　　　　　　　　アルファベットは大文字と小文字でも区別されます。日本語も可能です。
;
;■指定方法：「command = ###」という風に入れます。
;　　　　　　###に下記のキーを組み合わせ入力するコマンドを設定してください。
;
;　　方向キー：　B, DB, D, DF, F, UF, U, UB　（全て大文字で）
;　　　　　　　　B=Back（後）・D=Down（下）・F=Forward（前）・U=Up（上）になっています。
;
;　　ボタン　：　a, b, c, x, y, z, s 　　　　（全て小文字で）
; 
;　※特殊文字
;
;　　スラッシュ（ / ）：ボタンを押しっぱなしにする場合はこれを入れます。
;　　　　　　　　例：command = /F　　　（前キーを押したままにする）
;　　　　　　　　　　command = /B,y　　（後キーを押したままＹボタンを入力）
;
;　　チルダ　　（ ~ ）：ボタンが離される事を認識させる場合はこれを入れます。
;　　　　　　　　例：command = ~c　　　（Ｃボタンを離す）
;　　　　　　　　　　command = ~DB,DF,x（斜め後下を離して斜め前下=>Ｘボタンの順番に入力）
;
;　　　　　　　　※数値を追加する事で、ボタンを離すまでの時間、いわゆる『溜め』を設定出来ます。
;　　　　　　　　例：command = ~20z　　（Ｚボタンを押したままにし、２０フレーム後に離す）
;　　　　　　　　　　command = ~40B,F,b（後キーを押したままにし、４０フレーム後に離して前キー=>Ｂボタンの順番に入力）
;
;　　ドル　　　（ $ ）：複数の方向キー要素を入力出来るようにする場合はこれを入れます。
;　　　　　　　　例：command = $U　　　（上・斜め前上・斜め後上のどれからで始めても良い）
;　　　　　　　　　　command = $DF 　　（下・斜め前下・前のどれからで始めても良い）
;
;　　プラス　　（ + ）：ボタンを同時押しする場合はこれを入れます。
;　　　　　　　　例：command = a+b 　　（ＡボタンとＢボタンを同時押しします）
;　　　　　　　　　　command = x+y+z 　（ＸボタンとＹボタンとＺボタンを同時押しします）
;　　　　　　　　　　command = F+c 　　（前キーとＣボタンを同時押しします）
;
;　※これらの特殊文字は、組み合わせて使用する事も可能です。
;　　　　　　　　例：command = ~30$D,a+b
;　　　　　　　　　　　　　（下要素を３０フレーム溜めて離した後にＡボタンとＢボタンを同時押しします）
;
;■入力コマンド受付時間：「time = &&&」という風に入れます。オプションなので省略可能。
;　　　　　　　　　　　　&&&にコマンドを入力出来る時間を入れてください。時間はフレーム数です（１フレーム＝1/60秒）。
;　　　　　　　　例：time = 24　（入力受付時間を２４フレーム（0.4秒）に設定）
;
; 後は実際に登録されているものを参照してください。
;==============================================================================

;-| ボタン配置 |-----------------------------------------------------
;各ボタンの配置を簡単に変更できます。
;このキャラクターのボタン配置を変えたいときなどに使います。
;x = x を x = a に変えれば、xがaに変わります。

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| 標準化 |-------------------------------------------------------
[Defaults]
; timeを記述しなかった場合、以下の値が参照されます。最小値は1です。
command.time = 15

; buffer.timeの値です。1〜30まで設定できます。
; 普通は1です。
command.buffer.time = 1


[Command]
name = "AI1"
command = F, B, B, F, F, B, B, F, F, B, B, F, F, B
time = 1

[Command]
name = "AI2"
command = U, D, D, U, U, D, D, U, U, D, D, U, U, D
time = 1

[Command]
name = "AI3"
command = D, U, U, D, D, U, U, D, D, U, U, D, D, U
time = 1

[Command]
name = "AI4"
command = B, F, F, B, B, F, F, B, B, F, F, B, B, F
time = 1

[Command]
name = "AI5"
command = a, x, x, a, a, x, x, a, a, x, x, a, a, x
time = 1

[Command]
name = "AI6"
command = b, y, y, b, b, y, y, b, b, y, y, b, b, y
time = 1

[Command]
name = "AI7"
command = c, z, z, c, c, z, z, c, c, z, z, c, c, z
time = 1

[Command]
name = "AI8"
command = x, a, a, x, x, a, a, x, x, a, a, x, x, a
time = 1

[Command]
name = "AI9"
command = y, b, b, y, y, b, b, y, y, b, b, y, y, b
time = 1

[Command]
name = "AI10"
command = z, c, c, z, z, c, c, z, z, c, c, z, z, c
time = 1

[Command]
name = "AI11"
command = F, B, F, B, F, B, F, B, F, B, F, B, F, B
time = 1

[Command]
name = "AI12"
command = U, D, U, D, U, D, U, D, U, D, U, D, U, D
time = 1

[Command]
name = "AI13"
command = D, U, D, U, D, U, D, U, D, U, D, U, D, U
time = 1

[Command]
name = "AI14"
command = B, F, B, F, B, F, B, F, B, F, B, F, B, F
time = 1

[Command]
name = "AI15"
command = a, x, a, x, a, x, a, x, a, x, a, x, a, x
time = 1

[Command]
name = "AI16"
command = b, y, b, y, b, y, b, y, b, y, b, y, b, y
time = 1

[Command]
name = "AI17"
command = c, z, c, z, c, z, c, z, c, z, c, z, c, z
time = 1

[Command]
name = "AI18"
command = x, a, x, a, x, a, x, a, x, a, x, a, x, a
time = 1

[Command]
name = "AI19"
command = y, b, y, b, y, b, y, b, y, b, y, b, y, b
time = 1

[Command]
name = "AI20"
command = z, c, z, c, z, c, z, c, z, c, z, c, z, c
time = 1

[Command]
name = "AI21"
command = F, B, F, B, F, B, F, B, F, B
time = 1

[Command]
name = "AI22"
command = U, D, U, D, U, D, U, D, U, D
time = 1

[Command]
name = "AI23"
command = D, U, D, U, D, U, D, U, D, U
time = 1

[Command]
name = "AI24"
command = B, F, B, F, B, F, B, F, B, F
time = 1

[Command]
name = "AI25"
command = D, U, B, F, D, U, B, F, D
time = 1
;------------------------------------------------------------------------------
;-| リーダー超必殺技 |--------------------------------------------------------------

[Command]
name = "?墨?"
command = ~D, DB, B, DB, B, s
time = 25

[Command]
name = "14超?"
command = ~D, DF, F, DF, F, s
time = 25

[Command]
name = "伍百弐拾四式・神塵"
command =~D, DB, B, DB, B,c
time = 25

[Command] ;大号182 ★ 17000
name = "dahao182"
command = ~D, DF, F, DF, F,z
time = 25

[Command];十拳
name = "236236BD"
command =~D, DB, B, D, DB, B,a+b
time = 25

[Command]
name = "MAX無式"
command = ~D, DB, B, DB, B,z
time = 25

[Command]
name = "无火無式"
command = ~D, DB, B, D, DB, B,x
time = 25

[Command]
name = "?合必?"
command = ~D, DF, F, D, DF, F,a+b
time = 25

[Command]
name = "破???一式?大蛇薙"
command = ~D, DF, F, DF, F,c
time = 25

[Command]
name = "99版182改"
command = ~D, DB, B, DB, B,x+y
time = 25

[Command]
name = "大蛇薙182"
command = ~D, DF, F, DF, F,x
time = 25

;------------------------------------------------------------------------------
;-| 超必殺技 |-----------------------------------------------------------------

[Command]
name = "空?"
command = ~D, DB, B,y
time = 25

[Command]
name = "空?"
command = ~D, DB, B,x
time = 25

[Command]
name = "无式"
command = ~D, DF, F, DF, F,y
time = 25

[Command]
name = "??丶改"
command = ~D, DF, F, DF, F,a
time = 25

[Command]
name = "182丶改"
command = ~D, DF, F, DF, F,b
time = 25

[Command]
name = "裏百八式・大蛇薙"
command = ~D, DB, B, DB, B, y
time = 25

[Command]
name = "神?丶改"
command = ~D, DF, F, DF, F, x+y
time = 25

[Command];琴月?
name = "wavesmash1"
command = ~D, D, b
time = 15

[Command]
name = "hold_a"
command = /$a
time = 1

[Command]
name = "hold_b"
command = /$a
time = 1

;------------------------------------------------------------------------------
;-| 必殺技 |-------------------------------------------------------------------

[Command]
name = "投技"
command = ~D, D, s

[Command]
name = "暗拂"
command = ~D, DB, B, y+x

[Command]
name = "弱百壱式・朧車"
command = ~D, DB, B, a

[Command]
name = "強百壱式・朧車"
command = ~D, DB, B, b

[Command]
name = "弱四百弐拾七式・轢鉄"
command = ~D, DB, B,x
time = 15

[Command]
name = "強四百弐拾七式・轢鉄"
command = ~D, DB, B,y
time = 15

[Command]
name = "99弱轢鉄"
command = ~D,F,B,a
time = 25

[Command]
name = "99?轢鉄"
command = ~D,F,B,b
time = 25

[Command]
name = "重琴月"
command = ~D,D,a
time = 15

[Command]
name = "弱百式・鬼焼き"
command = ~F, D, DF, x

[Command]
name = "強百式・鬼焼き"
command = ~F, D, DF, y

[Command]
name = "弱独楽屠り"
command = ~B, D, DB, a

[Command]
name = "強独楽屠り"
command = ~B, D, DB, b

[Command]
name = "弱空中独楽屠り"
command = ~D, DB, B,a

[Command]
name = "強空中独楽屠り"
command = ~D, DB, B, b

[Command]
name = "弱七拾五式・改"
command = ~D, DF, F, a

[Command]
name = "強七拾五式・改"
command = ~D, DF, F, b

[Command]
name = "百拾四式・荒咬み"
command = ~D, DF, F, x

[Command]
name = "百拾五式・毒咬み"
command = ~D, DF, F, y

[Command]
name = "jump"    
command = D, $U
time = 12

;------------------------------------------------------------------------------
;-| キー２回連続入力 |---------------------------------------------------------
[Command]
name = "FF"     ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = F, F
time = 10

[Command]
name = "BB"     ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = B, B
time = 10

;------------------------------------------------------------------------------
;-| 同時押し |-----------------------------------------------------------------
[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = x+a
time = 1

[Command]
name = "holda"
command = /$a
time = 1

[Command]
name = "holdb"
command = /$b
time = 1

[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = z
time = 1

[Command]
name = "ふっとばし"
command = y+b
time = 1

[Command]
name = "ふっとばし"
command = c
time = 1

[Command]
name = "x+y"
command = x+y
time = 1

[Command]
name = "a+b"
command = a+b
time = 1

;------------------------------------------------------------------------------
;-| 方向キー＋ボタン |---------------------------------------------------------

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;------------------------------------------------------------------------------
;-| 方向キー押しっぱなし |-----------------------------------------------------
[Command]
name = "holdfwd"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$F
time = 1

[Command]
name = "holdback"  ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$B
time = 1

[Command]
name = "holdup"    ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$U
time = 1

[Command]
name = "holddown"  ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$D
time = 1

[Command]
name = "holdxy"
command = /$x+y
time = 1

[Command]
name = "holdc"
command = /$c
time = 1

[Command]
name = "holdx"
command = /$x
time = 1

[Command]
name = "holdy"
command = /$y
time = 1
;------------------------------------------------------------------------------
;-| AI Helper |----------------------------------------------------------------
[command]
name = "fwd"
command = F
time = 1

[command]
name = "back"
command = B
time = 1

[command]
name = "up"
command = U
time = 1

[command]
name = "down"
command = D
time = 1

[Command]
name = "longjump"
command = ~D, $U
time = 11
;------------------------------------------------------------------------------
;==============================================================================
; 技を実行するための条件の設定（ステートエントリーパート）
;==============================================================================
;------------------------------------------------------------------------------
; ここから下は「どのコマンドでどの番号のステートをどういう条件で出せるか」を設定する場所です。
;（ステートに関してはCNSファイルを参照）
; 
;■設定は基本的にこの形になります。
;
; [State -1, Label]                  ;「Label」の部分はただのラベルです。何でも良いです。それ以外は変更不可。
; type = ChangeState                 ;「別のステートに変更する」という意味のステートコントローラ
; value = new_state_number           ;出したい技のステート番号を入れます
; trigger1 = command = command_name  ;入力キー設定パートで登録したコマンドの名前をどれか入れます
; . . .  (any additional triggers)   ;trigger（条件を指定するトリガー）を追加出来ます
;
;■triggerに使える基本的な条件（通常は「トリガー」と呼ばれています）
;
;   - StateType    - キャラクターがどの状態の時にそのステートを出せるかどうかを決められます。
;                    S=立った状態・C=座った状態・A=空中にいる状態・L=横に倒れた状態、の４つが決まり事です。
;                    CNSのStatedefの下にある「Type = *」の項目が状態の意味なので、これをこのトリガーで判断します。
;
;   - Ctrl         - コントロールが可能か不可能かどちらかの時にそのステートを出せるかどうかを決められます。
;                    0=コントロール不可能状態・1=コントロール可能状態、ですが通常は Ctrl = 1 ( = 1 省略可能)が基本。
;
;   - StateNo      - 別の番号のステートから出せる事が可能になります。
;                    これを応用してスーパーキャンセルも可能です。
;
;   - MoveContact  - 物理攻撃が相手に当たった時（攻撃がヒットした時、もしくはガードされた時）に、
;                    そのステートを出せるかどうかを決められます。２種類４パターンあります。
;                    MoveContact or MoveContact = 1  （攻撃が当たった時）
;                    !MoveContact or MoveContact = 0 （攻撃が当たってない時）
;                    これを応用してスーパーキャンセルも可能です。
;
;　※上の４つ以外にもありますが、他のトリガーはM.U.G.E.N本体docsフォルダの中の
;　　CNSドキュメンテーションを参照してください。
;
;■ステートエントリーの順序
;
; ChangeStateの登録の順番は重要です。上に来れば来るほどコマンド入力の優先度が高くなります。
;
; 引用になりますが、例えば「波動拳コマンドのChangeState（↓＼→＋パンチ）」を
;「昇龍拳コマンドのChangeState（→↓＼＋パンチ）」よりも上に登録した場合、
; ゲーム中では昇龍拳を出そうとしても波動拳が誤って暴発しやすくなってしまいます。
; 防止するためには、「波動拳のChangeState」を「昇龍拳のChangeState」よりも下に登録しなくてはなりません。
;「レバーを前に入れて出す特殊技」と「投げ技」の関係なども同様です。
;
; 順番をよく考えて登録しましょう。
;
;■AI(CPU)はどう動くのか
;MUGENの標準CPUは相手に近づき適当に攻撃を繰り出すだけなので、AIスイッチによる制御が必要なこともあります。
;
;■[Statedef -1]とは？
;
; この部分はCNSプログラミングの拡張部分の、常時監視ステートになります。
; どのいかなる状態でも設定した記述が常に有効になるステートです（CNSの[Statedef -2]と似たような部分）。
;
; 必要な記述と行なので、絶対に消さないでください。
;
;==============================================================================
;------------------------------------------------------------------------------

[Statedef -1];←この行は絶対に消さないでください。必須の項目です。

;==============================================================================

[State -1, 14超?]
type = ChangeState
value = 2500
triggerall = command = "14超?"
triggerall = power >= 2000
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1155 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger14 = stateno = 1310 && movecontact
trigger15 = stateno = 1350 && movecontact
trigger16 = stateno = 2110 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger17 = stateno = 2111 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger18 = stateno = 2112 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger19 = stateno = 2201 && AnimElem = 21
trigger20 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger21 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger22 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger23 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger24 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger25 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger26 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0

;伍百弐拾四式・神塵
[State -1, KAMUKURA]
type = ChangeState
value = 3000
triggerall = command = "伍百弐拾四式・神塵"
triggerall = power >= 2000
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1155 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger14 = stateno = 1310 && movecontact
trigger15 = stateno = 1350 && movecontact
trigger16 = stateno = 2110 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger17 = stateno = 2111 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger18 = stateno = 2112 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger19 = stateno = 2201 && AnimElem = 21
trigger20 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger21 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger22 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger23 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger24 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger25 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger26 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0

[State -1, 神?丶改]
type = ChangeState
value = 4750
triggerall = command = "神?丶改"
triggerall = power >= 2000
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1155 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger14 = stateno = 1310 && movecontact
trigger15 = stateno = 1350 && movecontact
trigger16 = stateno = 2110 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger17 = stateno = 2111 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger18 = stateno = 2112 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger19 = stateno = 2201 && AnimElem = 21
trigger20 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger21 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger22 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger23 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger24 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger25 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger26 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0

[State -1, 破???一式?大蛇薙]
type = ChangeState
value = 6510
triggerall = command = "破???一式?大蛇薙"
triggerall = power >= 3000
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1155 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger14 = stateno = 1310 && movecontact
trigger15 = stateno = 1350 && movecontact
trigger16 = stateno = 2110 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger17 = stateno = 2111 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger18 = stateno = 2112 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger19 = stateno = 2201 && AnimElem = 21
trigger20 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger21 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger22 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger23 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger24 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger25 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger26 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0

[State -1,99版182改]
type = ChangeState
value = 2100
triggerall = command = "99版182改"
triggerall = power >= 3000
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 245 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 430 && movecontact
trigger9 = stateno = 440 && movecontact
trigger10 = stateno = 300 && movecontact
trigger11 = stateno = 315 && movecontact
trigger12 = stateno = 320 && AnimElemtime(2) >= 0 && AnimElemtime(4) < 0  && movecontact
trigger12 = var(18) = 0
trigger13 = stateno = 1760 && AnimElemtime(6) >= 0 && AnimElemtime(7) < 0 && movecontact
trigger14 = stateno = 1405 && AnimElemtime(4) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger15 = stateno = 1900 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger16 = stateno = 1950 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger17 = stateno = 1905 && AnimElemtime(1) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger18 = stateno = 1705 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger19 = stateno = 1250 && movecontact
trigger20 = stateno = 100
trigger21 = stateno = 1602 && movecontact
trigger22 = stateno = 1701 && movecontact
trigger23 = stateno = 2201 && AnimElem = 21,>= 0
trigger24 = stateno = 2351 && animelemtime(3) >= 0 && animelemtime(5) <0
trigger25 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger26 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger27 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger28 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger29 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger30 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger31 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
triggerall = var(50) = 0

[State -1,?墨?]
type = ChangeState
value = 3600
triggerall = command = "?墨?"
triggerall = power >= 2000
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 245 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 430 && movecontact
trigger9 = stateno = 440 && movecontact
trigger10 = stateno = 300 && movecontact
trigger11 = stateno = 315 && movecontact
trigger12 = stateno = 320 && AnimElemtime(2) >= 0 && AnimElemtime(4) < 0  && movecontact
trigger12 = var(18) = 0
trigger13 = stateno = 1760 && AnimElemtime(6) >= 0 && AnimElemtime(7) < 0 && movecontact
trigger14 = stateno = 1405 && AnimElemtime(4) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger15 = stateno = 1900 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger16 = stateno = 1950 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger17 = stateno = 1905 && AnimElemtime(1) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger18 = stateno = 1705 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger19 = stateno = 1250 && movecontact
trigger20 = stateno = 100
trigger21 = stateno = 1602 && movecontact
trigger22 = stateno = 1701 && movecontact
trigger23 = stateno = 2201 && AnimElem = 21,>= 0
trigger24 = stateno = 2351 && animelemtime(3) >= 0 && animelemtime(5) <0
trigger25 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger26 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger27 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger28 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger29 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger30 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger31 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
triggerall = var(50) = 0
;无式
[State -1, 无式]
type = ChangeState
value = 2201
triggerall = command = "无式"
triggerall = power >= 1000
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 245 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 430 && movecontact
trigger9 = stateno = 440 && movecontact
trigger10 = stateno = 300 && movecontact
trigger11 = stateno = 315 && movecontact
trigger12 = stateno = 320 && AnimElemtime(2) >= 0 && AnimElemtime(4) < 0  && movecontact
trigger12 = var(18) = 0
trigger13 = stateno = 1760 && AnimElemtime(6) >= 0 && AnimElemtime(7) < 0 && movecontact
trigger14 = stateno = 1405 && AnimElemtime(4) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger15 = stateno = 1900 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger16 = stateno = 1950 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger17 = stateno = 1905 && AnimElemtime(1) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger18 = stateno = 1705 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger19 = stateno = 1250 && movecontact
trigger20 = stateno = 100
trigger21 = stateno = 1602 && movecontact
trigger22 = stateno = 1701 && movecontact
trigger23 = stateno = 1310 && movecontact
trigger24 = stateno = 1350 && movecontact
trigger25 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger26 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger27 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger28 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger29 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger30 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger31 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger32 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
triggerall = var(50) = 0

;MAX無式
[State -1, MAX無式]
type = ChangeState
value = 2300
triggerall = var(59) = 0
triggerall = command = "MAX無式"
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 245 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 430 && movecontact
trigger9 = stateno = 440 && movecontact
trigger10 = stateno = 300 && movecontact
trigger11 = stateno = 315 && movecontact
trigger12 = stateno = 320 && AnimElemtime(2) >= 0 && AnimElemtime(4) < 0  && movecontact
trigger12 = var(18) = 0
trigger13 = stateno = 1760 && AnimElemtime(6) >= 0 && AnimElemtime(7) < 0 && movecontact
trigger14 = stateno = 1405 && AnimElemtime(4) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger15 = stateno = 1900 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger16 = stateno = 1950 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger17 = stateno = 1905 && AnimElemtime(1) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger18 = stateno = 1705 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger19 = stateno = 1250 && movecontact
trigger20 = stateno = 100
trigger21 = stateno = 1602 && movecontact
trigger22 = stateno = 1701 && movecontact
trigger23 = stateno = 2201 && AnimElem = 21,>= 0
trigger24 = stateno = 2351 && animelemtime(3) >= 0 && animelemtime(5) <0
trigger25 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger26 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger27 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger28 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger29 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger30 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger31 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
triggerall = var(50) = 0

;无火无式
[State -1, 无火無式]
type = ChangeState
value = 2855
triggerall = var(59) = 0
triggerall = command = "无火無式"
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 245 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 430 && movecontact
trigger9 = stateno = 440 && movecontact
trigger10 = stateno = 300 && movecontact
trigger11 = stateno = 315 && movecontact
trigger12 = stateno = 320 && AnimElemtime(2) >= 0 && AnimElemtime(4) < 0  && movecontact
trigger12 = var(18) = 0
trigger13 = stateno = 1760 && AnimElemtime(6) >= 0 && AnimElemtime(7) < 0 && movecontact
trigger14 = stateno = 1405 && AnimElemtime(4) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger15 = stateno = 1900 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger16 = stateno = 1950 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger17 = stateno = 1905 && AnimElemtime(1) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger18 = stateno = 1705 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger19 = stateno = 1250 && movecontact
trigger20 = stateno = 100
trigger21 = stateno = 1602 && movecontact
trigger22 = stateno = 1701 && movecontact
trigger23 = stateno = 2201 && AnimElem = 21,>= 0
trigger24 = stateno = 2351 && animelemtime(3) >= 0 && animelemtime(5) <0
trigger25 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger26 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger27 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger28 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger29 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger30 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger31 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
triggerall = var(50) = 0

;?合必?
[State -1, ?合必?]
type = ChangeState
value = 4400
triggerall = var(59) = 0
triggerall = command = "?合必?"
triggerall = power >= 3000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 245 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 430 && movecontact
trigger9 = stateno = 440 && movecontact
trigger10 = stateno = 300 && movecontact
trigger11 = stateno = 315 && movecontact
trigger12 = stateno = 320 && AnimElemtime(2) >= 0 && AnimElemtime(4) < 0  && movecontact
trigger12 = var(18) = 0
trigger13 = stateno = 1760 && AnimElemtime(6) >= 0 && AnimElemtime(7) < 0 && movecontact
trigger14 = stateno = 1405 && AnimElemtime(4) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger15 = stateno = 1900 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger16 = stateno = 1950 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger17 = stateno = 1905 && AnimElemtime(1) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger18 = stateno = 1705 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger19 = stateno = 1250 && movecontact
trigger20 = stateno = 100
trigger21 = stateno = 1602 && movecontact
trigger22 = stateno = 1701 && movecontact
trigger23 = stateno = 2201 && AnimElem = 21,>= 0
trigger24 = stateno = 2351 && animelemtime(3) >= 0 && animelemtime(5) <0
trigger25 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger26 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger27 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger28 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger29 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger30 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger31 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
triggerall = var(50) = 0

;------------------------------------------------------------------------------
[State -1, ??丶改]
type = ChangeState
value = 3410
triggerall = command = "??丶改"
triggerall = var(59) = 0
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1155 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger14 = stateno = 1310 && movecontact
trigger15 = stateno = 1350 && movecontact
trigger16 = stateno = 2110 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger17 = stateno = 2111 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger18 = stateno = 2112 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger19 = stateno = 2201 && AnimElem = 21
trigger20 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger21 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger22 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger23 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger24 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger25 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger26 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
;裏百八式・大蛇薙
[State -1, OROCHI]
type = ChangeState
value = 2000
triggerall = command = "裏百八式・大蛇薙"
triggerall = power >= 1000
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1155 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger14 = stateno = 1310 && movecontact
trigger15 = stateno = 1350 && movecontact
trigger16 = stateno = 2351 && animelemtime(3) >= 0 && animelemtime(5) <0
trigger17 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger18 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger19 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger20 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger21 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger22 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger23 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
;大号182
[State -1]
type = ChangeState
value = 17000
triggerall = Var(59) = 0
triggerall = command = "dahao182"
triggerall = var(59) = 0
triggerall = power >= 3000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && time = [4,7]
trigger3 = stateno = 205 && time = [4,7]
trigger4 = stateno = 215 && time = [6,9]
trigger5 = stateno = 220 && time = [13,14]
trigger6 = stateno = 225 && time = [3,5]
trigger7 = stateno = 235 && time = [5,7]
trigger8 = stateno = 400 && time = [4,7]
trigger9 = stateno = 420 && time = [5,7]
trigger10 = stateno = 430 && time = [12,14]
trigger11 = stateno = 101
trigger12 = stateno = 241 && time = [16,21]
trigger13 = stateno = 300 && time = [20,23]
trigger14 = stateno = 4605 && time = [28,60]
trigger15 = stateno = 4565 && animelemtime(13) > 10
trigger16 = stateno = 1610 && movehit
trigger17 = stateno = 1710 && movehit
trigger18 = stateno = 2201 && AnimElem = 21
trigger19 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger20 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger21 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger22 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger23 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0

[State -1, 182丶改]
type = ChangeState
value = 2350
triggerall = command = "182丶改"
triggerall = var(59) = 0
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1155 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger14 = stateno = 1310 && movecontact
trigger15 = stateno = 1350 && movecontact
trigger16 = stateno = 2110 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger17 = stateno = 2111 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger18 = stateno = 2112 && AnimElemtime(7) >= 0 && AnimElemtime(11) < 0 && movecontact
trigger19 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger20 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger21 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger22 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger23 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger24 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0

[State -1, 大蛇薙182]
type = ChangeState
value = 9900
triggerall = command = "大蛇薙182"
triggerall = power >= 2000
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 245 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 430 && movecontact
trigger9 = stateno = 440 && movecontact
trigger10 = stateno = 300 && movecontact
trigger11 = stateno = 315 && movecontact
trigger12 = stateno = 320 && AnimElemtime(2) >= 0 && AnimElemtime(4) < 0  && movecontact
trigger12 = var(18) = 0
trigger13 = stateno = 1760 && AnimElemtime(6) >= 0 && AnimElemtime(7) < 0 && movecontact
trigger14 = stateno = 1405 && AnimElemtime(4) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger15 = stateno = 1900 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger16 = stateno = 1950 && AnimElemtime(4) >= 0 && AnimElemtime(6) < 0 && movecontact
trigger17 = stateno = 1905 && AnimElemtime(1) >= 0 && AnimElemtime(5) < 0 && movecontact
trigger18 = stateno = 1705 && AnimElemtime(1) >= 0 && AnimElemtime(2) < 0 && movecontact
trigger19 = stateno = 1250 && movecontact
trigger20 = stateno = 100
trigger21 = stateno = 1602 && movecontact
trigger22 = stateno = 1701 && movecontact
trigger23 = stateno = 1310 && movecontact
trigger24 = stateno = 1350 && movecontact
trigger25 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger26 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger27 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger28 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger29 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger30 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
triggerall = var(50) = 0

[State -1]
Type = ChangeState
Value = 2600
TriggerAll = PalNo=[1,6]
TriggerAll = var(59)<=0
TriggerAll = command="空?"
TriggerAll = Power >= 1000
TriggerAll = StateType=A
Trigger1   = Ctrl
Trigger2   = (StateNo = [270,271]) && movecontact
Trigger3   = (StateNo = [600,650]) && movecontact
trigger4 = stateno = 330 && movecontact
trigger5 = stateno = 1105 && animelemtime(2) >= 1 && animelemtime(8) <0
trigger6 = stateno = 1155 && AnimElemtime(2) >= 0 && AnimElemtime(8) < 0 
trigger7 = stateno = 1810 && AnimElemtime(4) >= 0 && AnimElemtime(7) < 0 
trigger8 = stateno = 1801 && AnimElemtime(4) >= 0 && AnimElemtime(19) < 0 

;------------------------------------------------------------------------------
;琴月
[State -1]
type = ChangeState
value = 12000
triggerall = command = "wavesmash1"
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && time = [4,7]
trigger3 = stateno = 205 && time = [4,7]
trigger4 = stateno = 215 && time = [6,9]
trigger5 = stateno = 220 && time = [13,14]
trigger6 = stateno = 225 && time = [3,5]
trigger7 = stateno = 235 && time = [5,7]
trigger8 = stateno = 400 && time = [4,7]
trigger9 = stateno = 420 && time = [5,7]
trigger10 = stateno = 430 && time = [12,14]
trigger11 = stateno = 101
trigger12 = stateno = 241 && time = [16,21]
trigger13 = stateno = 300 && time = [20,23]
trigger14 = stateno = 315 && AnimElem = 6,>= 0
trigger15 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger16 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger17 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger18 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger19 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger20 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
;------------------------------------------------------------------------------
;弱百式・鬼焼き
[State -1, L ONIYAKI]
type = ChangeState
value = 1100
triggerall = command = "弱百式・鬼焼き"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1605 && movecontact
trigger13 = var(33)!= 0
trigger14 = stateno = 1700 && movecontact
trigger14 = var(33)!= 0
trigger15 = stateno = 1801 && AnimElem >= 16,>= 0
trigger16 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger17 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger18 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
;強百式・鬼焼き
[State -1, S ONIYAKI]
type = ChangeState
value = 1150
triggerall = command = "強百式・鬼焼き"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1605 && movecontact
trigger13 = var(33)!= 0
trigger14 = stateno = 1700 && movecontact
trigger14 = var(33)!= 0
trigger15 = stateno = 1801 && AnimElem >= 16,>= 0
trigger16 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger17 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger18 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger19 = stateno = 1350 && AnimElem >= 6,>= 0
trigger20 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger21 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger22 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger23 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger24 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
;------------------------------------------------------------------------------
;暗拂
[State -1, ARAGAMI]
type = ChangeState
value = 1000
triggerall = command = "暗拂"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 320 && animelemtime(2) >= 1 && animelemtime(8) <0
trigger14 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger15 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger16 = stateno = 1310 && animelemtime(7) >= 1 && animelemtime(9) <0
trigger17 = stateno = 1350 && AnimElem >= 6,>= 0
trigger18 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger19 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger20 = stateno = 1150 && animelemtime(1) >= 1 && animelemtime(2) <0
trigger21 = stateno = 1155 && animelemtime(1) >= 1 && animelemtime(3) <0
trigger22 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger23 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger24 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0


;弱独楽屠り
[State -1, L RED]
type = ChangeState
value = 1800
triggerall = var(59) = 0
triggerall = command = "弱独楽屠り"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 320 && animelemtime(2) >= 1 && animelemtime(8) <0
trigger14 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger15 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger16 = stateno = 1310 && animelemtime(7) >= 1 && animelemtime(9) <0
trigger17 = stateno = 1350 && AnimElem >= 6,>= 0
trigger18 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger19 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger20 = stateno = 1150 && animelemtime(1) >= 1 && animelemtime(2) <0
trigger21 = stateno = 1155 && animelemtime(1) >= 1 && animelemtime(3) <0
trigger20 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger21 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger22 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger23 = stateno = 1000 && animelemtime(8) >= 1 && animelemtime(12) <0
trigger24 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
trigger25 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger26 = stateno = 1610 && animelemtime(5) >= 1 && animelemtime(7) <0

;強独楽屠り
[State -1, S RED]
type = ChangeState
value = 1850
triggerall = var(59) = 0
triggerall = command = "強独楽屠り" 
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 320 && animelemtime(2) >= 1 && animelemtime(8) <0
trigger14 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger15 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger16 = stateno = 1310 && animelemtime(7) >= 1 && animelemtime(9) <0
trigger17 = stateno = 1350 && AnimElem >= 6,>= 0
trigger18 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger19 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger20 = stateno = 1150 && animelemtime(1) >= 1 && animelemtime(2) <0
trigger21 = stateno = 1155 && animelemtime(1) >= 1 && animelemtime(3) <0
trigger20 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger21 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger22 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger23 = stateno = 1000 && animelemtime(8) >= 1 && animelemtime(12) <0
trigger24 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
trigger25 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger26 = stateno = 1610 && animelemtime(5) >= 1 && animelemtime(7) <0

;弱空中独楽屠り
[State -1, L ARED]
type = ChangeState
value = 1500
triggerall = command = "弱空中独楽屠り"
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = Pos Y < -20
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 610 && movecontact
trigger4 = stateno = 630 && movecontact
trigger5 = stateno = 635 && movecontact
trigger6 = stateno = 640 && movecontact
trigger7 = stateno = 645 && movecontact
trigger8 = stateno = 650 && movecontact
trigger9 = stateno = 1205 && AnimElem >= 3,>= 0

;強空中独楽屠り
[State -1, S ARED]
type = ChangeState
value = 1550
triggerall = command = "強空中独楽屠り"
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = Pos Y < -20
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 610 && movecontact
trigger4 = stateno = 630 && movecontact
trigger5 = stateno = 635 && movecontact
trigger6 = stateno = 640 && movecontact
trigger7 = stateno = 645 && movecontact
trigger8 = stateno = 650 && movecontact
trigger9 = stateno = 1205 && AnimElem >= 3,>= 0

;十拳
[State -1, murakumo]
type = ChangeState
value = 2800
triggerall = var(59) = 0
triggerall = command = "236236BD" 
triggerall = power >= 3000 && var(40) = 0 || power >= 3000 && var(40) > 0
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])
trigger2 = var(1) = 1
trigger3 = var(1) = 2
trigger4 = var(1) = 4
trigger5 = var(2) = 1
trigger6 = stateno = 3301 && movehit  
trigger7 = stateno = 3055 && movehit   
trigger8 = stateno = 3005 && movehit     
trigger9 = stateno = 3302 && movehit
trigger10 = stateno = 3303 && movehit
trigger11 = helper(3000),movehit
trigger11 = stateno = 3005 
trigger12 = helper(3000),movehit
trigger12 = stateno = 3055 && time >= 40
trigger13 = stateno = 3200 && movehit
trigger13 = stateno = 3410 && movehit
trigger14 = stateno = 3460 && movehit
trigger14 = stateno = 8902
trigger15 = stateno = 2201 && AnimElem >= 21
trigger16 = stateno = 2351 && animelemtime(3) >= 0 && animelemtime(5) <0
trigger17 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger18 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger19 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger20 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0
trigger21 = stateno = 2010 && animelemtime(8) >= 1 && animelemtime(11) <0
;強 弐百拾弐式・琴月　陽
[State -1, 強 弐百拾弐式・琴月　陽]
type = ChangeState
value = 1410
triggerall = command = "重琴月" 
triggerall = var(59) = 0
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 315 && AnimElem = 6,>= 0
trigger3 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger4 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger5 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger6 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger7 = stateno = 1150 && animelemtime(1) >= 1 
trigger8 = stateno = 1155 && animelemtime(1) >= 1
;弱四百弐拾七式・轢鉄
[State -1, L HIKIGANE]
type = ChangeState
value = 1300
triggerall = command = "弱四百弐拾七式・轢鉄"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1605 && movecontact
trigger13 = var(33)!= 0
trigger14 = stateno = 1700 && movecontact
trigger14 = var(33)!= 0
trigger15 = stateno = 1150 && animelemtime(1) >= 1 && animelemtime(2) <0
trigger16 = stateno = 1155 && animelemtime(1) >= 1 && animelemtime(3) <0
trigger17 = stateno = 1350 && AnimElem >= 6,>= 0
trigger18 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger19 = stateno = 1610 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger20 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger21 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger22 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger23 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger24 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0

;強四百弐拾七式・轢鉄
[State -1, S HIKIGANE]
type = ChangeState
value = 1350
triggerall = command = "強四百弐拾七式・轢鉄"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1605 && movecontact
trigger13 = var(33)!= 0
trigger14 = stateno = 1700 && movecontact
trigger14 = var(33)!= 0
trigger15 = stateno = 1150 && animelemtime(1) >= 1 && animelemtime(2) <0
trigger16 = stateno = 1155 && animelemtime(1) >= 1 && animelemtime(3) <0
trigger17 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger18 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger19 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger20 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger21 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger22 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger23 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0

[State -1, 弱??]
type = ChangeState
value = 1910
triggerall = command = "99弱轢鉄"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1605 && movecontact
trigger13 = var(33)!= 0
trigger14 = stateno = 1700 && movecontact
trigger14 = var(33)!= 0
trigger15 = stateno = 1801 && AnimElem >= 16,>= 0
trigger16 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger17 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger18 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger19 = stateno = 1350 && AnimElem >= 6,>= 0
trigger20 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger21 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger22 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0

[State -1, ???]
type = ChangeState
value = 1920
triggerall = command = "99?轢鉄"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1605 && movecontact
trigger13 = var(33)!= 0
trigger14 = stateno = 1700 && movecontact
trigger14 = var(33)!= 0
trigger15 = stateno = 1801 && AnimElem >= 16,>= 0
trigger16 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger17 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger18 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger19 = stateno = 1350 && AnimElem >= 6,>= 0
trigger20 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger21 = stateno = 1310 && animelemtime(7) >= 1 && animelemtime(8) <0
trigger22 = stateno = 1000 && animelemtime(8) >= 1 && animelemtime(12) <0
;------------------------------------------------------------------------------
;弱七拾五式・改
[State -1, L 75]
type = ChangeState
value = 1200
triggerall = command = "弱七拾五式・改"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1605 && movecontact
trigger13 = var(33)!= 0
trigger14 = stateno = 1700 && movecontact
trigger14 = var(33)!= 0
trigger15 = stateno = 320 && animelemtime(2) >= 1 && animelemtime(8) <0
trigger16 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger17 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger18 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger19 = stateno = 1350 && AnimElem >= 6,>= 0
trigger20 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
;強七拾五式・改
[State -1, S 75]
type = ChangeState
value = 1250
triggerall = command = "強七拾五式・改"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 1605 && movecontact
trigger13 = var(33)!= 0
trigger14 = stateno = 1700 && movecontact
trigger14 = var(33)!= 0
trigger15 = stateno = 1407 && AnimElem >= 3,>= 0
trigger16 = stateno = 320 && animelemtime(2) >= 1 && animelemtime(8) <0
trigger17 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger18 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger19 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger20 = stateno = 1350 && AnimElem >= 6,>= 0
trigger21 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger22 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger23 = stateno = 1000 && animelemtime(8) >= 1 && animelemtime(12) <0
;------------------------------------------------------------------------------
;百拾四式・荒咬み
[State -1, ARAGAMI]
type = ChangeState
value = 1600
triggerall = command = "百拾四式・荒咬み"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 320 && animelemtime(2) >= 1 && animelemtime(8) <0
trigger14 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger15 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger16 = stateno = 1310 && animelemtime(7) >= 1 && animelemtime(9) <0
trigger17 = stateno = 1350 && AnimElem >= 6,>= 0
trigger18 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger19 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger20 = stateno = 1150 && animelemtime(1) >= 1 && animelemtime(2) <0
trigger21 = stateno = 1155 && animelemtime(1) >= 1 && animelemtime(3) <0
trigger20 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger21 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger22 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger23 = stateno = 1000 && animelemtime(8) >= 1 && animelemtime(12) <0
trigger24 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0

;百拾五式・毒咬み
[State -1, DOKUGAMI]
type = ChangeState
value = 1700
triggerall = command = "百拾五式・毒咬み"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 320 && animelemtime(2) >= 1 && animelemtime(8) <0
trigger14 = stateno = 1605 && animelemtime(6) >= 1 && animelemtime(10) <0
trigger15 = stateno = 1310 && animelemtime(7) >= 1 && animelemtime(9) <0
trigger16 = stateno = 1350 && AnimElem >= 6,>= 0
trigger17 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger18 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger19 = stateno = 1150 && animelemtime(1) >= 1 && animelemtime(2) <0
trigger20 = stateno = 1155 && animelemtime(1) >= 1 && animelemtime(3) <0
trigger21 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger22 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger23 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0
trigger24 = stateno = 1000 && animelemtime(8) >= 1 && animelemtime(12) <0
trigger25 = stateno = 1232 && animelemtime(2) >= 1 && animelemtime(6) <0

[State -1, ARAGAMI]
type = ChangeState
value = 1230
triggerall = command = "投技"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact
trigger11 = stateno = 300 && movecontact
trigger12 = stateno = 315 && movecontact
trigger13 = stateno = 320 && animelemtime(2) >= 1 && animelemtime(8) <0
trigger14 = stateno = 1700 && animelemtime(11) >= 1 && animelemtime(13) <0
trigger15 = stateno = 1710 && animelemtime(4) >= 1 && animelemtime(6) <0
trigger16 = stateno = 1310 && animelemtime(7) >= 1 && animelemtime(9) <0
trigger17 = stateno = 1350 && AnimElem >= 6,>= 0
trigger18 = stateno = 1355 && animelemtime(1) >= 1 && animelemtime(4) <0
trigger19 = stateno = 1640 && animelemtime(5) >= 1 && animelemtime(7) <0
trigger20 = stateno = 1150 && animelemtime(1) >= 1 && animelemtime(2) <0
trigger21 = stateno = 1155 && animelemtime(1) >= 1 && animelemtime(3) <0
trigger20 = stateno = 1910 && animelemtime(8) >= 1 && animelemtime(18) <0
trigger21 = stateno = 1921 && animelemtime(10) >= 1 && animelemtime(26) <0
trigger22 = stateno = 1670 && animelemtime(10) >= 1 && animelemtime(33) <0

;--------------------------------------------------------------------------
;弱百壱式・朧車
[STATE -1,弱百壱式・朧車]
type = ChangeState
value =1810
triggerall = command = "弱百壱式・朧車"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl|| (stateno = [100,101]) || stateno = 115
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 245 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 430 && movecontact
trigger9 = stateno = 440 && movecontact
trigger10 = stateno = 300 && movecontact
trigger11 = stateno = 315 && movecontact
trigger12 = stateno = 320 && AnimElemtime(2) >= 0 && AnimElemtime(4) < 0  && movecontact
trigger13 = var(2) = 1
trigger14 = stateno = 320 && animelemtime(2) >= 1 && animelemtime(8) <0
;強百壱式・朧車
[STATE -1,強百壱式・朧車]
type = ChangeState
value =1801
triggerall = var(59) = 0
triggerall = command = "強百壱式・朧車"
triggerall = statetype != A
trigger1 = ctrl|| (stateno = [100,101]) || stateno = 115
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 245 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 430 && movecontact
trigger9 = stateno = 440 && movecontact
trigger10 = stateno = 300 && movecontact
trigger11 = stateno = 315 && movecontact
trigger12 = stateno = 320 && AnimElemtime(2) >= 0 && AnimElemtime(4) < 0  && movecontact
trigger13 = var(2) = 1
trigger14 = stateno = 320 && animelemtime(2) >= 1 && animelemtime(8) <0
;---------------------------------------------------------------------------
;後緊急回避
[State -1, T S]
type = ChangeState
value = 710
triggerall = var(59) = 0
triggerall = command = "recovery" && command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl|| (stateno = [100,101]) || stateno = 115
trigger2 = power >= 1000
trigger2 = stateno = [150,151]

;---------------------------------------------------------------------------
;前緊急回避
[State -1, T S]
type = ChangeState
value = 700
triggerall = var(59) = 0
triggerall = command = "recovery"
trigger1 = statetype = S
trigger1 = ctrl|| (stateno = [100,101]) || stateno = 115
trigger2 = power >= 1000
trigger2 = stateno = [150,151]
trigger3 = stateno = 100

;---------------------------------------------------------------------------
;受身
[State -1, UKEMI]
type = ChangeState
value = 5201;52000
triggerall = var(59) = 0
triggerall = command = "recovery"
triggerall = alive = 1
trigger1 = stateno = 5050
trigger1 = pos y > -30
trigger1 = vel y > 0 && vel y < 9

;------------------------------------------------------------------------------
;ふっとばし
[State -1, Throw]
type = ChangeState
value = 300
triggerall = command = "ふっとばし"
triggerall = var(59) = 0
triggerall = statetype = S
triggerall = stateno != 100
trigger1 = ctrl
trigger2 = power >= 1000
trigger2 = stateno = [150,151]

;------------------------------------------------------------------------------
;空中ふっとばし
[State -1, CD]
type = ChangeState
value = 650
triggerall = command = "ふっとばし"
triggerall = var(59) = 0
triggerall = statetype = A
trigger1 = ctrl

;------------------------------------------------------------------------------
;P投げ
[State -1, Throw]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = var(59) = 0
triggerall = command = "holdfwd" || command = "holdback"
triggerall = statetype = S
triggerall = stateno != 100
trigger1 = p2bodydist X < 15
trigger1 = p2statetype != A && p2movetype != H
trigger1 = ctrl

;------------------------------------------------------------------------------
;K投げ
[State -1, Throw]
type = ChangeState
value = 800
triggerall = command = "b"
triggerall = var(59) = 0
triggerall = command = "holdfwd" || command = "holdback"
triggerall = statetype = S
triggerall = stateno != 100
trigger1 = p2bodydist X < 15
trigger1 = p2statetype != A && p2movetype != H
trigger1 = ctrl

;------------------------------------------------------------------------------
;外式・奈落落とし
[State -1, NARAKU]
type = ChangeState
value = 330
triggerall = command = "y"
triggerall = var(59) = 0
triggerall = command = "holddown"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno = 105

;------------------------------------------------------------------------------
;八拾八式
[State -1, 88]
type = ChangeState
value = 320
triggerall = command = "b"
triggerall = var(59) = 0
triggerall = command = "holdfwd"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact

;------------------------------------------------------------------------------
;外式・轟斧　陽
[State -1, GOUHU]
type = ChangeState
value = 310
triggerall = command = "a"
triggerall = var(59) = 0
triggerall = command = "holdfwd"
triggerall = statetype != A
triggerall = command != "holddown"
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 430 && movecontact
trigger10 = stateno = 440 && movecontact

;------------------------------------------------------------------------------
;ダッシュ
[State -1, Dash]
type = ChangeState
value = 100
triggerall = var(59) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl
;バックステップ
[State -1, Back Step]
type = ChangeState
value = 105
triggerall = var(59) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;==============================================================================
;近距離立ち弱パンチ
[State -1, Stand Light Punch]
type = ChangeState
value = 205
triggerall = var(59) = 0
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = p2bodydist X < 18
trigger1 = ctrl

;遠距離立ち弱パンチ
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(59) = 0
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl

;近距離立ち強パンチ
[State -1, Stand Strong Punch]
type = ChangeState
value = 215
triggerall = var(59) = 0
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = p2bodydist X < 40
trigger1 = ctrl

;遠距離立ち強パンチ
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = var(59) = 0
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl

;------------------------------------------------------------------------------
;近距離立ち弱キック
[State -1, Stand Light Kick]
type = ChangeState
value = 235
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = p2bodydist X < 35
trigger1 = ctrl

;遠距離立ち弱キック
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl

;近距離立ち強キック
[State -1, Standing Strong Kick]
type = ChangeState
value = 245
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = p2bodydist X < 30
trigger1 = ctrl

;遠距離立ち強キック
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl

;------------------------------------------------------------------------------
;挑発
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = var(59) = 0
triggerall = command = "start"
triggerall = var(20) = 0
trigger1 = statetype != A
trigger1 = ctrl

;------------------------------------------------------------------------------
;しゃがみ弱パンチ
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = var(59) = 0
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 430 && time >= 4 && movecontact

;しゃがみ強パンチ
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = var(59) = 0
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 1405 && movecontact
;------------------------------------------------------------------------------
;しゃがみ弱キック
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;しゃがみ強キック
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;------------------------------------------------------------------------------
;ジャンプ弱パンチ
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = var(59) = 0
triggerall = command = "x"
triggerall = stateno != 105
trigger1 = statetype = A
trigger1 = ctrl

;ジャンプ強パンチ
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = var(59) = 0
triggerall = command = "y"
triggerall = stateno != 105
trigger1 = statetype = A
trigger1 = ctrl

;------------------------------------------------------------------------------
;垂直ジャンプ弱キック
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = stateno != 105
triggerall = vel X = 0
trigger1 = statetype = A
trigger1 = ctrl

;斜めジャンプ弱キック
[State -1, Jump Light Kick]
type = ChangeState
value = 635
triggerall = command = "a"
triggerall = var(59) = 0
triggerall = stateno != 105
triggerall = vel X != 0
trigger1 = statetype = A
trigger1 = ctrl

;垂直ジャンプ強キック
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = stateno != 105
triggerall = vel X = 0
trigger1 = statetype = A
trigger1 = ctrl

;斜めジャンプ強キック
[State -1, Jump Strong Kick]
type = ChangeState
value = 645
triggerall = command = "b"
triggerall = var(59) = 0
triggerall = stateno != 105
triggerall = vel X != 0
trigger1 = statetype = A
trigger1 = ctrl

